LockStats (Oracle - Berkeley DB Java API)
Date: 2010-04-12

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.8.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class LockStats

    java.lang.Object
      com.sleepycat.db.LockStats

    public class LockStats

extends Object

Lock statistics for a database environment.

Method Summary
`int` | `getCurMaxId()` TODO
`int` | `getHashLen()` TODO
`int` | `getId()` TODO
`long` | `getLockersNowait()` TODO
`long` | `getLockersWait()` TODO
`long` | `getLockNowait()` TODO
`long` | `getLocksteals()` TODO
`int` | `getLockTimeout()` TODO
`long` | `getLockWait()` TODO
`int` | `getMaxHlocks()` TODO
`int` | `getMaxHobjects()` TODO
`int` | `getMaxLockers()` TODO
`int` | `getMaxLocks()` TODO
`long` | `getMaxLsteals()` TODO
`int` | `getMaxNlockers()` TODO
`int` | `getMaxNlocks()` TODO
`int` | `getMaxNobjects()` TODO
`int` | `getMaxObjects()` TODO
`long` | `getMaxOsteals()` TODO
`int` | `getNobjects()` TODO
`long` | `getNumDeadlocks()` TODO
`long` | `getNumDowngrade()` TODO
`int` | `getNumLockers()` TODO
`int` | `getNumLocks()` TODO
`long` | `getNumLockTimeouts()` TODO
`int` | `getNumModes()` TODO
`long` | `getNumReleases()` TODO
`long` | `getNumRequests()` TODO
`long` | `getNumTxnTimeouts()` TODO
`long` | `getNumUpgrade()` TODO
`long` | `getObjectsteals()` TODO
`long` | `getObjsNowait()` TODO
`long` | `getObjsWait()` TODO
`int` | `getPartitions()` TODO
`long` | `getPartMaxNowait()` TODO
`long` | `getPartMaxWait()` TODO
`long` | `getPartNowait()` TODO
`long` | `getPartWait()` TODO
`long` | `getRegionNowait()` TODO
`long` | `getRegionWait()` TODO
`int` | `getRegSize()` TODO
`int` | `getTxnTimeout()` TODO
`String` | `toString()` For convenience, the LockStats class has a toString method that lists all the data fields.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getId

    public int getId()

  TODO

### getCurMaxId

    public int getCurMaxId()

  TODO

### getMaxLocks

    public int getMaxLocks()

  TODO

### getMaxLockers

    public int getMaxLockers()

  TODO

### getMaxObjects

    public int getMaxObjects()

  TODO

### getPartitions

    public int getPartitions()

  TODO

### getNumModes

    public int getNumModes()

  TODO

### getNumLockers

    public int getNumLockers()

  TODO

### getNumLocks

    public int getNumLocks()

  TODO

### getMaxNlocks

    public int getMaxNlocks()

  TODO

### getMaxHlocks

    public int getMaxHlocks()

  TODO

### getLocksteals

    public long getLocksteals()

  TODO

### getMaxLsteals

    public long getMaxLsteals()

  TODO

### getMaxNlockers

    public int getMaxNlockers()

  TODO

### getNobjects

    public int getNobjects()

  TODO

### getMaxNobjects

    public int getMaxNobjects()

  TODO

### getMaxHobjects

    public int getMaxHobjects()

  TODO

### getObjectsteals

    public long getObjectsteals()

  TODO

### getMaxOsteals

    public long getMaxOsteals()

  TODO

### getNumRequests

    public long getNumRequests()

  TODO

### getNumReleases

    public long getNumReleases()

  TODO

### getNumUpgrade

    public long getNumUpgrade()

  TODO

### getNumDowngrade

    public long getNumDowngrade()

  TODO

### getLockWait

    public long getLockWait()

  TODO

### getLockNowait

    public long getLockNowait()

  TODO

### getNumDeadlocks

    public long getNumDeadlocks()

  TODO

### getLockTimeout

    public int getLockTimeout()

  TODO

### getNumLockTimeouts

    public long getNumLockTimeouts()

  TODO

### getTxnTimeout

    public int getTxnTimeout()

  TODO

### getNumTxnTimeouts

    public long getNumTxnTimeouts()

  TODO

### getPartWait

    public long getPartWait()

  TODO

### getPartNowait

    public long getPartNowait()

  TODO

### getPartMaxWait

    public long getPartMaxWait()

  TODO

### getPartMaxNowait

    public long getPartMaxNowait()

  TODO

### getObjsWait

    public long getObjsWait()

  TODO

### getObjsNowait

    public long getObjsNowait()

  TODO

### getLockersWait

    public long getLockersWait()

  TODO

### getLockersNowait

    public long getLockersNowait()

  TODO

### getRegionWait

    public long getRegionWait()

  TODO

### getRegionNowait

    public long getRegionNowait()

  TODO

### getHashLen

    public int getHashLen()

  TODO

### getRegSize

    public int getRegSize()

  TODO

### toString

    public String toString()

  For convenience, the LockStats class has a toString method that lists all the data fields.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.8.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2009 Oracle. All rights reserved.